﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=11.5
@EndOfDesignText@
Sub Class_Globals
	Public notificationBuilder As NotificationBuilder
	Private Channel As NotificationChannelBuilder
	Private ChannelID As String = "Channel_1"
	Private ChannelName As String = "b4a News"
	Private nbCustomStyleBig, nbCustomStyleSmall As NotificationCustomLayout
End Sub

Public Sub Initialize
	If Channel.ChannelsSupported Then
		Channel.Initialize(ChannelID, ChannelName, Channel.IMPORTANCE_HIGH)
		Channel.Build
	End If
	
	notificationBuilder.Initialize(ChannelID)
	notificationBuilder.SmallIcon = "icon"
End Sub

Public Sub ImageNotification(small_image As B4XBitmap, big_image As B4XBitmap, priority As Int, NotificationChannel As Int, Tag As String)
	
	notificationBuilder.Tag = Tag
	
	nbCustomStyleSmall.Initialize("notification")
	nbCustomStyleSmall.SetImage("notification_img", small_image)
	
	nbCustomStyleBig.Initialize("expandednotification")
	nbCustomStyleBig.SetImage("notification_img", big_image)

	notificationBuilder.CustomLayout = nbCustomStyleSmall
	notificationBuilder.BigCustomLayout = nbCustomStyleBig
	notificationBuilder.Priority = notificationBuilder.PRIORITY_HIGH

	notificationBuilder.Notify(NotificationChannel)
End Sub